%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc3}}

Summary:	GProFTPD -- A GTK+ administation tool for the ProFTPD server.
Name:		gproftpd
Version:	8.2.2
Release:	0.1.%{dist}.nr
Copyright:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gproftpd gprostats

%description
GProFTPD is a fast and easy to use GTK+ administration tool for the proftpd standalone server.

%prep
%setup -q
%configure

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{_sysconfdir}/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 %{_sysconfdir}/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/net-gproftpd.desktop %{buildroot}%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

# doc files.. 
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

%find_lang %name

%post 
if test ! -h %{_bindir}/gproftpd ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gproftpd ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(0755, root, root)
%{_sbindir}/%{name}
%{_sbindir}/gprostats
%defattr(0660, root, root)
%{_sysconfdir}/%{name}/%{name}.pem
%config %{_sysconfdir}/%{name}/gprotls.conf

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/pixmaps/%{name}/%{name}36.xpm

%changelog
* Tue Apr 5 2005 Magnus-swe <magnus-swe@telia.com>
- Fixed a bug when TLS was used in version 8.2.0 (sorry).
- Individual certificates can now be created for each server.
- Removed docdir version.
* Wed Mar 23 2005 Magnus-swe <magnus-swe@telia.com>
- A single click will now change server in the server selector.
- Updated consolehelper files.
- Fixed a crash when not using mod_tls.
